1# Makefile.in generated by automake 1.11.6 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6# Foundation, Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17
18# Makefile.am - for gcrypt/src
19# Copyright (C) 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005,
20#               2006, 2007  Free Software Foundation, Inc.
21#
22# This file is part of Libgcrypt.
23#
24# Libgcrypt is free software; you can redistribute it and/or modify
25# it under the terms of the GNU Lesser General Public License as
26# published by the Free Software Foundation; either version 2.1 of
27# the License, or (at your option) any later version.
28#
29# Libgcrypt is distributed in the hope that it will be useful,
30# but WITHOUT ANY WARRANTY; without even the implied warranty of
31# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
32# GNU Lesser General Public License for more details.
33#
34# You should have received a copy of the GNU General Public License
35# along with this program; if not, see <http://www.gnu.org/licenses/>.
36
37
38
39
40
41VPATH = @srcdir@
42am__make_dryrun = \
43  { \
44    am__dry=no; \
45    case $$MAKEFLAGS in \
46      *\\[\ \	]*) \
47        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
48          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
49      *) \
50        for am__flg in $$MAKEFLAGS; do \
51          case $$am__flg in \
52            *=*|--*) ;; \
53            *n*) am__dry=yes; break;; \
54          esac; \
55        done;; \
56    esac; \
57    test $$am__dry = yes; \
58  }
59pkgdatadir = $(datadir)/@PACKAGE@
60pkgincludedir = $(includedir)/@PACKAGE@
61pkglibdir = $(libdir)/@PACKAGE@
62pkglibexecdir = $(libexecdir)/@PACKAGE@
63am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
64install_sh_DATA = $(install_sh) -c -m 644
65install_sh_PROGRAM = $(install_sh) -c
66install_sh_SCRIPT = $(install_sh) -c
67INSTALL_HEADER = $(INSTALL_DATA)
68transform = $(program_transform_name)
69NORMAL_INSTALL = :
70PRE_INSTALL = :
71POST_INSTALL = :
72NORMAL_UNINSTALL = :
73PRE_UNINSTALL = :
74POST_UNINSTALL = :
75build_triplet = @build@
76host_triplet = @host@
77bin_PROGRAMS = dumpsexp$(EXEEXT) hmac256$(EXEEXT) $(am__EXEEXT_1)
78@USE_RANDOM_DAEMON_TRUE@sbin_PROGRAMS = gcryptrnd$(EXEEXT)
79@USE_RANDOM_DAEMON_TRUE@am__append_1 = getrandom
80subdir = src
81DIST_COMMON = $(include_HEADERS) $(srcdir)/Makefile.am \
82	$(srcdir)/Makefile.in $(srcdir)/gcrypt.h.in \
83	$(srcdir)/libgcrypt-config.in $(srcdir)/versioninfo.rc.in
84ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
85am__aclocal_m4_deps = $(top_srcdir)/m4/gpg-error.m4 \
86	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
87	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
88	$(top_srcdir)/m4/lt~obsolete.m4 \
89	$(top_srcdir)/m4/noexecstack.m4 $(top_srcdir)/m4/onceonly.m4 \
90	$(top_srcdir)/m4/socklen.m4 $(top_srcdir)/m4/sys_socket_h.m4 \
91	$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
92am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
93	$(ACLOCAL_M4)
94mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
95CONFIG_HEADER = $(top_builddir)/config.h
96CONFIG_CLEAN_FILES = gcrypt.h libgcrypt-config versioninfo.rc
97CONFIG_CLEAN_VPATH_FILES =
98am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
99am__vpath_adj = case $$p in \
100    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
101    *) f=$$p;; \
102  esac;
103am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
104am__install_max = 40
105am__nobase_strip_setup = \
106  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
107am__nobase_strip = \
108  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
109am__nobase_list = $(am__nobase_strip_setup); \
110  for p in $$list; do echo "$$p $$p"; done | \
111  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
112  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
113    if (++n[$$2] == $(am__install_max)) \
114      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
115    END { for (dir in files) print dir, files[dir] }'
116am__base_list = \
117  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
118  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
119am__uninstall_files_from_dir = { \
120  test -z "$$files" \
121    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
122    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
123         $(am__cd) "$$dir" && rm -f $$files; }; \
124  }
125am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" \
126	"$(DESTDIR)$(sbindir)" "$(DESTDIR)$(bindir)" \
127	"$(DESTDIR)$(m4datadir)" "$(DESTDIR)$(includedir)"
128LTLIBRARIES = $(lib_LTLIBRARIES)
129@HAVE_W32_SYSTEM_TRUE@am__DEPENDENCIES_1 = versioninfo.lo
130am__DEPENDENCIES_2 =
131am_libgcrypt_la_OBJECTS = libgcrypt_la-visibility.lo \
132	libgcrypt_la-misc.lo libgcrypt_la-global.lo \
133	libgcrypt_la-sexp.lo libgcrypt_la-hwfeatures.lo \
134	libgcrypt_la-stdmem.lo libgcrypt_la-secmem.lo \
135	libgcrypt_la-missing-string.lo libgcrypt_la-module.lo \
136	libgcrypt_la-fips.lo libgcrypt_la-hmac256.lo \
137	libgcrypt_la-ath.lo
138libgcrypt_la_OBJECTS = $(am_libgcrypt_la_OBJECTS)
139libgcrypt_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
140	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(libgcrypt_la_CFLAGS) \
141	$(CFLAGS) $(libgcrypt_la_LDFLAGS) $(LDFLAGS) -o $@
142@USE_RANDOM_DAEMON_TRUE@am__EXEEXT_1 = getrandom$(EXEEXT)
143PROGRAMS = $(bin_PROGRAMS) $(sbin_PROGRAMS)
144am_dumpsexp_OBJECTS = dumpsexp-dumpsexp.$(OBJEXT)
145dumpsexp_OBJECTS = $(am_dumpsexp_OBJECTS)
146@HAVE_W32CE_SYSTEM_TRUE@am__DEPENDENCIES_3 = $(am__DEPENDENCIES_2)
147dumpsexp_DEPENDENCIES = $(am__DEPENDENCIES_3)
148dumpsexp_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
149	--mode=link $(CCLD) $(dumpsexp_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
150	$(LDFLAGS) -o $@
151am__gcryptrnd_SOURCES_DIST = gcryptrnd.c
152@USE_RANDOM_DAEMON_TRUE@am_gcryptrnd_OBJECTS =  \
153@USE_RANDOM_DAEMON_TRUE@	gcryptrnd-gcryptrnd.$(OBJEXT)
154gcryptrnd_OBJECTS = $(am_gcryptrnd_OBJECTS)
155@USE_RANDOM_DAEMON_TRUE@gcryptrnd_DEPENDENCIES = libgcrypt.la \
156@USE_RANDOM_DAEMON_TRUE@	$(am__DEPENDENCIES_2) \
157@USE_RANDOM_DAEMON_TRUE@	$(am__DEPENDENCIES_2)
158gcryptrnd_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
159	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(gcryptrnd_CFLAGS) \
160	$(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
161am__getrandom_SOURCES_DIST = getrandom.c
162@USE_RANDOM_DAEMON_TRUE@am_getrandom_OBJECTS = getrandom.$(OBJEXT)
163getrandom_OBJECTS = $(am_getrandom_OBJECTS)
164getrandom_LDADD = $(LDADD)
165am_hmac256_OBJECTS = hmac256-hmac256.$(OBJEXT)
166hmac256_OBJECTS = $(am_hmac256_OBJECTS)
167hmac256_DEPENDENCIES = $(am__DEPENDENCIES_3)
168hmac256_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
169	--mode=link $(CCLD) $(hmac256_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
170	$(LDFLAGS) -o $@
171SCRIPTS = $(bin_SCRIPTS)
172DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
173depcomp = $(SHELL) $(top_srcdir)/depcomp
174am__depfiles_maybe = depfiles
175am__mv = mv -f
176COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
177	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
178LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
179	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
180	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
181CCLD = $(CC)
182LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
183	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
184	$(LDFLAGS) -o $@
185SOURCES = $(libgcrypt_la_SOURCES) $(dumpsexp_SOURCES) \
186	$(gcryptrnd_SOURCES) $(getrandom_SOURCES) $(hmac256_SOURCES)
187DIST_SOURCES = $(libgcrypt_la_SOURCES) $(dumpsexp_SOURCES) \
188	$(am__gcryptrnd_SOURCES_DIST) $(am__getrandom_SOURCES_DIST) \
189	$(hmac256_SOURCES)
190am__can_run_installinfo = \
191  case $$AM_UPDATE_INFO_DIR in \
192    n|no|NO) false;; \
193    *) (install-info --version) >/dev/null 2>&1;; \
194  esac
195DATA = $(m4data_DATA)
196HEADERS = $(include_HEADERS)
197ETAGS = etags
198CTAGS = ctags
199DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
200ACLOCAL = @ACLOCAL@
201AMTAR = @AMTAR@
202AR = @AR@
203AS = @AS@
204AUTOCONF = @AUTOCONF@
205AUTOHEADER = @AUTOHEADER@
206AUTOMAKE = @AUTOMAKE@
207AWK = @AWK@
208BUILD_FILEVERSION = @BUILD_FILEVERSION@
209BUILD_REVISION = @BUILD_REVISION@
210BUILD_TIMESTAMP = @BUILD_TIMESTAMP@
211CC = @CC@
212CCAS = @CCAS@
213CCASDEPMODE = @CCASDEPMODE@
214CCASFLAGS = @CCASFLAGS@
215CCDEPMODE = @CCDEPMODE@
216CFLAGS = @CFLAGS@
217CPP = @CPP@
218CPPFLAGS = @CPPFLAGS@
219CYGPATH_W = @CYGPATH_W@
220DEFS = @DEFS@
221DEPDIR = @DEPDIR@
222DLLTOOL = @DLLTOOL@
223DL_LIBS = @DL_LIBS@
224DSYMUTIL = @DSYMUTIL@
225DUMPBIN = @DUMPBIN@
226ECHO_C = @ECHO_C@
227ECHO_N = @ECHO_N@
228ECHO_T = @ECHO_T@
229EGREP = @EGREP@
230EXEEXT = @EXEEXT@
231FALLBACK_SOCKLEN_T = @FALLBACK_SOCKLEN_T@
232FGREP = @FGREP@
233GCRYPT_CIPHERS = @GCRYPT_CIPHERS@
234GCRYPT_DIGESTS = @GCRYPT_DIGESTS@
235GCRYPT_PUBKEY_CIPHERS = @GCRYPT_PUBKEY_CIPHERS@
236GCRYPT_RANDOM = @GCRYPT_RANDOM@
237GPG_ERROR_CFLAGS = @GPG_ERROR_CFLAGS@
238GPG_ERROR_CONFIG = @GPG_ERROR_CONFIG@
239GPG_ERROR_LIBS = @GPG_ERROR_LIBS@
240GREP = @GREP@
241INSERT_SYS_SELECT_H = @INSERT_SYS_SELECT_H@
242INSTALL = @INSTALL@
243INSTALL_DATA = @INSTALL_DATA@
244INSTALL_PROGRAM = @INSTALL_PROGRAM@
245INSTALL_SCRIPT = @INSTALL_SCRIPT@
246INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
247LD = @LD@
248LDFLAGS = @LDFLAGS@
249LIBGCRYPT_CIPHERS = @LIBGCRYPT_CIPHERS@
250LIBGCRYPT_CONFIG_API_VERSION = @LIBGCRYPT_CONFIG_API_VERSION@
251LIBGCRYPT_CONFIG_CFLAGS = @LIBGCRYPT_CONFIG_CFLAGS@
252LIBGCRYPT_CONFIG_HOST = @LIBGCRYPT_CONFIG_HOST@
253LIBGCRYPT_CONFIG_LIBS = @LIBGCRYPT_CONFIG_LIBS@
254LIBGCRYPT_DIGESTS = @LIBGCRYPT_DIGESTS@
255LIBGCRYPT_LT_AGE = @LIBGCRYPT_LT_AGE@
256LIBGCRYPT_LT_CURRENT = @LIBGCRYPT_LT_CURRENT@
257LIBGCRYPT_LT_REVISION = @LIBGCRYPT_LT_REVISION@
258LIBGCRYPT_PUBKEY_CIPHERS = @LIBGCRYPT_PUBKEY_CIPHERS@
259LIBGCRYPT_THREAD_MODULES = @LIBGCRYPT_THREAD_MODULES@
260LIBOBJS = @LIBOBJS@
261LIBS = @LIBS@
262LIBTOOL = @LIBTOOL@
263LIPO = @LIPO@
264LN_S = @LN_S@
265LTLIBOBJS = @LTLIBOBJS@
266MAINT = @MAINT@
267MAKEINFO = @MAKEINFO@
268MANIFEST_TOOL = @MANIFEST_TOOL@
269MKDIR_P = @MKDIR_P@
270MPI_SFLAGS = @MPI_SFLAGS@
271NM = @NM@
272NMEDIT = @NMEDIT@
273NOEXECSTACK_FLAGS = @NOEXECSTACK_FLAGS@
274OBJDUMP = @OBJDUMP@
275OBJEXT = @OBJEXT@
276OTOOL = @OTOOL@
277OTOOL64 = @OTOOL64@
278PACKAGE = @PACKAGE@
279PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
280PACKAGE_NAME = @PACKAGE_NAME@
281PACKAGE_STRING = @PACKAGE_STRING@
282PACKAGE_TARNAME = @PACKAGE_TARNAME@
283PACKAGE_URL = @PACKAGE_URL@
284PACKAGE_VERSION = @PACKAGE_VERSION@
285PATH_SEPARATOR = @PATH_SEPARATOR@
286PTH_CFLAGS = @PTH_CFLAGS@
287PTH_CONFIG = @PTH_CONFIG@
288PTH_LIBS = @PTH_LIBS@
289RANLIB = @RANLIB@
290RC = @RC@
291SED = @SED@
292SET_MAKE = @SET_MAKE@
293SHELL = @SHELL@
294STRIP = @STRIP@
295SYS_SOCKET_H = @SYS_SOCKET_H@
296VERSION = @VERSION@
297VERSION_NUMBER = @VERSION_NUMBER@
298abs_builddir = @abs_builddir@
299abs_srcdir = @abs_srcdir@
300abs_top_builddir = @abs_top_builddir@
301abs_top_srcdir = @abs_top_srcdir@
302ac_ct_AR = @ac_ct_AR@
303ac_ct_CC = @ac_ct_CC@
304ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
305am__include = @am__include@
306am__leading_dot = @am__leading_dot@
307am__quote = @am__quote@
308am__tar = @am__tar@
309am__untar = @am__untar@
310bindir = @bindir@
311build = @build@
312build_alias = @build_alias@
313build_cpu = @build_cpu@
314build_os = @build_os@
315build_vendor = @build_vendor@
316builddir = @builddir@
317datadir = @datadir@
318datarootdir = @datarootdir@
319docdir = @docdir@
320dvidir = @dvidir@
321emacs_local_vars_begin = @emacs_local_vars_begin@
322emacs_local_vars_end = @emacs_local_vars_end@
323emacs_local_vars_read_only = @emacs_local_vars_read_only@
324exec_prefix = @exec_prefix@
325host = @host@
326host_alias = @host_alias@
327host_cpu = @host_cpu@
328host_os = @host_os@
329host_vendor = @host_vendor@
330htmldir = @htmldir@
331includedir = @includedir@
332infodir = @infodir@
333install_sh = @install_sh@
334libdir = @libdir@
335libexecdir = @libexecdir@
336localedir = @localedir@
337localstatedir = @localstatedir@
338mandir = @mandir@
339mkdir_p = @mkdir_p@
340oldincludedir = @oldincludedir@
341pdfdir = @pdfdir@
342prefix = @prefix@
343program_transform_name = @program_transform_name@
344psdir = @psdir@
345sbindir = @sbindir@
346sharedstatedir = @sharedstatedir@
347srcdir = @srcdir@
348sysconfdir = @sysconfdir@
349target_alias = @target_alias@
350top_build_prefix = @top_build_prefix@
351top_builddir = @top_builddir@
352top_srcdir = @top_srcdir@
353EXTRA_DIST = Manifest libgcrypt-config.in libgcrypt.m4 libgcrypt.vers \
354             gcrypt.h.in libgcrypt.def
355
356bin_SCRIPTS = libgcrypt-config
357m4datadir = $(datadir)/aclocal
358m4data_DATA = libgcrypt.m4
359include_HEADERS = gcrypt.h gcrypt-module.h
360lib_LTLIBRARIES = libgcrypt.la
361@HAVE_W32CE_SYSTEM_FALSE@arch_gpg_error_cflags = 
362
363# Depending on the architecture some targets require libgpg-error.
364@HAVE_W32CE_SYSTEM_TRUE@arch_gpg_error_cflags = $(GPG_ERROR_CFLAGS)
365@HAVE_W32CE_SYSTEM_FALSE@arch_gpg_error_libs = 
366@HAVE_W32CE_SYSTEM_TRUE@arch_gpg_error_libs = $(GPG_ERROR_LIBS)
367@HAVE_LD_VERSION_SCRIPT_FALSE@libgcrypt_version_script_cmd = 
368@HAVE_LD_VERSION_SCRIPT_TRUE@libgcrypt_version_script_cmd = -Wl,--version-script=$(srcdir)/libgcrypt.vers
369libgcrypt_la_CFLAGS = $(GPG_ERROR_CFLAGS)
370libgcrypt_la_SOURCES = g10lib.h visibility.c visibility.h types.h \
371	cipher.h cipher-proto.h \
372	misc.c global.c sexp.c hwfeatures.c \
373	stdmem.c stdmem.h secmem.c secmem.h \
374	mpi.h missing-string.c module.c fips.c \
375	hmac256.c hmac256.h \
376	ath.h ath.c
377
378@HAVE_W32_SYSTEM_TRUE@RCCOMPILE = $(RC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
379@HAVE_W32_SYSTEM_TRUE@	$(libgcrypt_la_CPPFLAGS) $(AM_CPPFLAGS) $(CPPFLAGS)
380
381@HAVE_W32_SYSTEM_TRUE@LTRCCOMPILE = $(LIBTOOL) --mode=compile --tag=RC $(RCCOMPILE)
382@HAVE_W32_SYSTEM_TRUE@SUFFIXES = .rc .lo
383@HAVE_W32_SYSTEM_FALSE@gcrypt_res = 
384@HAVE_W32_SYSTEM_TRUE@gcrypt_res = versioninfo.lo
385@HAVE_W32_SYSTEM_FALSE@no_undefined = 
386@HAVE_W32_SYSTEM_TRUE@no_undefined = -no-undefined
387@HAVE_W32_SYSTEM_FALSE@export_symbols = 
388@HAVE_W32_SYSTEM_TRUE@export_symbols = -export-symbols $(srcdir)/libgcrypt.def
389@HAVE_W32_SYSTEM_FALSE@gcrypt_deps = 
390@HAVE_W32_SYSTEM_TRUE@gcrypt_deps = $(gcrypt_res) libgcrypt.def
391@HAVE_W32_SYSTEM_FALSE@gcrypt_res_ldflag = 
392libgcrypt_la_LDFLAGS = $(no_undefined) $(export_symbols) \
393	$(libgcrypt_version_script_cmd) -version-info \
394	@LIBGCRYPT_LT_CURRENT@:@LIBGCRYPT_LT_REVISION@:@LIBGCRYPT_LT_AGE@
395
396libgcrypt_la_DEPENDENCIES = \
397	../cipher/libcipher.la \
398	../random/librandom.la \
399	../mpi/libmpi.la \
400	../compat/libcompat.la \
401	$(srcdir)/libgcrypt.vers $(gcrypt_deps)
402
403libgcrypt_la_LIBADD = $(gcrypt_res) \
404	../cipher/libcipher.la \
405	../random/librandom.la \
406	../mpi/libmpi.la \
407	../compat/libcompat.la  $(GPG_ERROR_LIBS)
408
409dumpsexp_SOURCES = dumpsexp.c
410dumpsexp_CFLAGS = $(arch_gpg_error_cflags)
411dumpsexp_LDADD = $(arch_gpg_error_libs)
412hmac256_SOURCES = hmac256.c
413hmac256_CFLAGS = -DSTANDALONE $(arch_gpg_error_cflags)
414hmac256_LDADD = $(arch_gpg_error_libs)
415@USE_RANDOM_DAEMON_TRUE@gcryptrnd_SOURCES = gcryptrnd.c
416@USE_RANDOM_DAEMON_TRUE@gcryptrnd_CFLAGS = $(GPG_ERROR_CFLAGS) $(PTH_CFLAGS)
417@USE_RANDOM_DAEMON_TRUE@gcryptrnd_LDADD = libgcrypt.la $(GPG_ERROR_LIBS) $(PTH_LIBS)
418@USE_RANDOM_DAEMON_TRUE@getrandom_SOURCES = getrandom.c
419all: all-am
420
421.SUFFIXES:
422.SUFFIXES: .rc .lo .c .o .obj
423$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
424	@for dep in $?; do \
425	  case '$(am__configure_deps)' in \
426	    *$$dep*) \
427	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
428	        && { if test -f $@; then exit 0; else break; fi; }; \
429	      exit 1;; \
430	  esac; \
431	done; \
432	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/Makefile'; \
433	$(am__cd) $(top_srcdir) && \
434	  $(AUTOMAKE) --gnu src/Makefile
435.PRECIOUS: Makefile
436Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
437	@case '$?' in \
438	  *config.status*) \
439	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
440	  *) \
441	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
442	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
443	esac;
444
445$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
446	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
447
448$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
449	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
450$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
451	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
452$(am__aclocal_m4_deps):
453gcrypt.h: $(top_builddir)/config.status $(srcdir)/gcrypt.h.in
454	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
455libgcrypt-config: $(top_builddir)/config.status $(srcdir)/libgcrypt-config.in
456	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
457versioninfo.rc: $(top_builddir)/config.status $(srcdir)/versioninfo.rc.in
458	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
459install-libLTLIBRARIES: $(lib_LTLIBRARIES)
460	@$(NORMAL_INSTALL)
461	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
462	list2=; for p in $$list; do \
463	  if test -f $$p; then \
464	    list2="$$list2 $$p"; \
465	  else :; fi; \
466	done; \
467	test -z "$$list2" || { \
468	  echo " $(MKDIR_P) '$(DESTDIR)$(libdir)'"; \
469	  $(MKDIR_P) "$(DESTDIR)$(libdir)" || exit 1; \
470	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(libdir)'"; \
471	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(libdir)"; \
472	}
473
474uninstall-libLTLIBRARIES:
475	@$(NORMAL_UNINSTALL)
476	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
477	for p in $$list; do \
478	  $(am__strip_dir) \
479	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$f'"; \
480	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$f"; \
481	done
482
483clean-libLTLIBRARIES:
484	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
485	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
486	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
487	  test "$$dir" != "$$p" || dir=.; \
488	  echo "rm -f \"$${dir}/so_locations\""; \
489	  rm -f "$${dir}/so_locations"; \
490	done
491libgcrypt.la: $(libgcrypt_la_OBJECTS) $(libgcrypt_la_DEPENDENCIES) $(EXTRA_libgcrypt_la_DEPENDENCIES) 
492	$(libgcrypt_la_LINK) -rpath $(libdir) $(libgcrypt_la_OBJECTS) $(libgcrypt_la_LIBADD) $(LIBS)
493install-binPROGRAMS: $(bin_PROGRAMS)
494	@$(NORMAL_INSTALL)
495	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
496	if test -n "$$list"; then \
497	  echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
498	  $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
499	fi; \
500	for p in $$list; do echo "$$p $$p"; done | \
501	sed 's/$(EXEEXT)$$//' | \
502	while read p p1; do if test -f $$p || test -f $$p1; \
503	  then echo "$$p"; echo "$$p"; else :; fi; \
504	done | \
505	sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
506	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
507	sed 'N;N;N;s,\n, ,g' | \
508	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
509	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
510	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
511	    else { print "f", $$3 "/" $$4, $$1; } } \
512	  END { for (d in files) print "f", d, files[d] }' | \
513	while read type dir files; do \
514	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
515	    test -z "$$files" || { \
516	    echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
517	    $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
518	    } \
519	; done
520
521uninstall-binPROGRAMS:
522	@$(NORMAL_UNINSTALL)
523	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
524	files=`for p in $$list; do echo "$$p"; done | \
525	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
526	      -e 's/$$/$(EXEEXT)/' `; \
527	test -n "$$list" || exit 0; \
528	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
529	cd "$(DESTDIR)$(bindir)" && rm -f $$files
530
531clean-binPROGRAMS:
532	@list='$(bin_PROGRAMS)'; test -n "$$list" || exit 0; \
533	echo " rm -f" $$list; \
534	rm -f $$list || exit $$?; \
535	test -n "$(EXEEXT)" || exit 0; \
536	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
537	echo " rm -f" $$list; \
538	rm -f $$list
539install-sbinPROGRAMS: $(sbin_PROGRAMS)
540	@$(NORMAL_INSTALL)
541	@list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
542	if test -n "$$list"; then \
543	  echo " $(MKDIR_P) '$(DESTDIR)$(sbindir)'"; \
544	  $(MKDIR_P) "$(DESTDIR)$(sbindir)" || exit 1; \
545	fi; \
546	for p in $$list; do echo "$$p $$p"; done | \
547	sed 's/$(EXEEXT)$$//' | \
548	while read p p1; do if test -f $$p || test -f $$p1; \
549	  then echo "$$p"; echo "$$p"; else :; fi; \
550	done | \
551	sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
552	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
553	sed 'N;N;N;s,\n, ,g' | \
554	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
555	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
556	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
557	    else { print "f", $$3 "/" $$4, $$1; } } \
558	  END { for (d in files) print "f", d, files[d] }' | \
559	while read type dir files; do \
560	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
561	    test -z "$$files" || { \
562	    echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(sbindir)$$dir'"; \
563	    $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(sbindir)$$dir" || exit $$?; \
564	    } \
565	; done
566
567uninstall-sbinPROGRAMS:
568	@$(NORMAL_UNINSTALL)
569	@list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
570	files=`for p in $$list; do echo "$$p"; done | \
571	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
572	      -e 's/$$/$(EXEEXT)/' `; \
573	test -n "$$list" || exit 0; \
574	echo " ( cd '$(DESTDIR)$(sbindir)' && rm -f" $$files ")"; \
575	cd "$(DESTDIR)$(sbindir)" && rm -f $$files
576
577clean-sbinPROGRAMS:
578	@list='$(sbin_PROGRAMS)'; test -n "$$list" || exit 0; \
579	echo " rm -f" $$list; \
580	rm -f $$list || exit $$?; \
581	test -n "$(EXEEXT)" || exit 0; \
582	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
583	echo " rm -f" $$list; \
584	rm -f $$list
585dumpsexp$(EXEEXT): $(dumpsexp_OBJECTS) $(dumpsexp_DEPENDENCIES) $(EXTRA_dumpsexp_DEPENDENCIES) 
586	@rm -f dumpsexp$(EXEEXT)
587	$(dumpsexp_LINK) $(dumpsexp_OBJECTS) $(dumpsexp_LDADD) $(LIBS)
588gcryptrnd$(EXEEXT): $(gcryptrnd_OBJECTS) $(gcryptrnd_DEPENDENCIES) $(EXTRA_gcryptrnd_DEPENDENCIES) 
589	@rm -f gcryptrnd$(EXEEXT)
590	$(gcryptrnd_LINK) $(gcryptrnd_OBJECTS) $(gcryptrnd_LDADD) $(LIBS)
591getrandom$(EXEEXT): $(getrandom_OBJECTS) $(getrandom_DEPENDENCIES) $(EXTRA_getrandom_DEPENDENCIES) 
592	@rm -f getrandom$(EXEEXT)
593	$(LINK) $(getrandom_OBJECTS) $(getrandom_LDADD) $(LIBS)
594hmac256$(EXEEXT): $(hmac256_OBJECTS) $(hmac256_DEPENDENCIES) $(EXTRA_hmac256_DEPENDENCIES) 
595	@rm -f hmac256$(EXEEXT)
596	$(hmac256_LINK) $(hmac256_OBJECTS) $(hmac256_LDADD) $(LIBS)
597install-binSCRIPTS: $(bin_SCRIPTS)
598	@$(NORMAL_INSTALL)
599	@list='$(bin_SCRIPTS)'; test -n "$(bindir)" || list=; \
600	if test -n "$$list"; then \
601	  echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
602	  $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
603	fi; \
604	for p in $$list; do \
605	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
606	  if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
607	done | \
608	sed -e 'p;s,.*/,,;n' \
609	    -e 'h;s|.*|.|' \
610	    -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
611	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
612	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
613	    if ($$2 == $$4) { files[d] = files[d] " " $$1; \
614	      if (++n[d] == $(am__install_max)) { \
615		print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
616	    else { print "f", d "/" $$4, $$1 } } \
617	  END { for (d in files) print "f", d, files[d] }' | \
618	while read type dir files; do \
619	     if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
620	     test -z "$$files" || { \
621	       echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(bindir)$$dir'"; \
622	       $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
623	     } \
624	; done
625
626uninstall-binSCRIPTS:
627	@$(NORMAL_UNINSTALL)
628	@list='$(bin_SCRIPTS)'; test -n "$(bindir)" || exit 0; \
629	files=`for p in $$list; do echo "$$p"; done | \
630	       sed -e 's,.*/,,;$(transform)'`; \
631	dir='$(DESTDIR)$(bindir)'; $(am__uninstall_files_from_dir)
632
633mostlyclean-compile:
634	-rm -f *.$(OBJEXT)
635
636distclean-compile:
637	-rm -f *.tab.c
638
639@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dumpsexp-dumpsexp.Po@am__quote@
640@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gcryptrnd-gcryptrnd.Po@am__quote@
641@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/getrandom.Po@am__quote@
642@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hmac256-hmac256.Po@am__quote@
643@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgcrypt_la-ath.Plo@am__quote@
644@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgcrypt_la-fips.Plo@am__quote@
645@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgcrypt_la-global.Plo@am__quote@
646@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgcrypt_la-hmac256.Plo@am__quote@
647@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgcrypt_la-hwfeatures.Plo@am__quote@
648@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgcrypt_la-misc.Plo@am__quote@
649@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgcrypt_la-missing-string.Plo@am__quote@
650@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgcrypt_la-module.Plo@am__quote@
651@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgcrypt_la-secmem.Plo@am__quote@
652@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgcrypt_la-sexp.Plo@am__quote@
653@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgcrypt_la-stdmem.Plo@am__quote@
654@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgcrypt_la-visibility.Plo@am__quote@
655
656.c.o:
657@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
658@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
659@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
660@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
661@am__fastdepCC_FALSE@	$(COMPILE) -c $<
662
663.c.obj:
664@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
665@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
666@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
667@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
668@am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`
669
670.c.lo:
671@am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
672@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
673@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
674@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
675@am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
676
677libgcrypt_la-visibility.lo: visibility.c
678@am__fastdepCC_TRUE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -MT libgcrypt_la-visibility.lo -MD -MP -MF $(DEPDIR)/libgcrypt_la-visibility.Tpo -c -o libgcrypt_la-visibility.lo `test -f 'visibility.c' || echo '$(srcdir)/'`visibility.c
679@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/libgcrypt_la-visibility.Tpo $(DEPDIR)/libgcrypt_la-visibility.Plo
680@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='visibility.c' object='libgcrypt_la-visibility.lo' libtool=yes @AMDEPBACKSLASH@
681@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
682@am__fastdepCC_FALSE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -c -o libgcrypt_la-visibility.lo `test -f 'visibility.c' || echo '$(srcdir)/'`visibility.c
683
684libgcrypt_la-misc.lo: misc.c
685@am__fastdepCC_TRUE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -MT libgcrypt_la-misc.lo -MD -MP -MF $(DEPDIR)/libgcrypt_la-misc.Tpo -c -o libgcrypt_la-misc.lo `test -f 'misc.c' || echo '$(srcdir)/'`misc.c
686@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/libgcrypt_la-misc.Tpo $(DEPDIR)/libgcrypt_la-misc.Plo
687@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='misc.c' object='libgcrypt_la-misc.lo' libtool=yes @AMDEPBACKSLASH@
688@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
689@am__fastdepCC_FALSE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -c -o libgcrypt_la-misc.lo `test -f 'misc.c' || echo '$(srcdir)/'`misc.c
690
691libgcrypt_la-global.lo: global.c
692@am__fastdepCC_TRUE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -MT libgcrypt_la-global.lo -MD -MP -MF $(DEPDIR)/libgcrypt_la-global.Tpo -c -o libgcrypt_la-global.lo `test -f 'global.c' || echo '$(srcdir)/'`global.c
693@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/libgcrypt_la-global.Tpo $(DEPDIR)/libgcrypt_la-global.Plo
694@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='global.c' object='libgcrypt_la-global.lo' libtool=yes @AMDEPBACKSLASH@
695@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
696@am__fastdepCC_FALSE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -c -o libgcrypt_la-global.lo `test -f 'global.c' || echo '$(srcdir)/'`global.c
697
698libgcrypt_la-sexp.lo: sexp.c
699@am__fastdepCC_TRUE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -MT libgcrypt_la-sexp.lo -MD -MP -MF $(DEPDIR)/libgcrypt_la-sexp.Tpo -c -o libgcrypt_la-sexp.lo `test -f 'sexp.c' || echo '$(srcdir)/'`sexp.c
700@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/libgcrypt_la-sexp.Tpo $(DEPDIR)/libgcrypt_la-sexp.Plo
701@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='sexp.c' object='libgcrypt_la-sexp.lo' libtool=yes @AMDEPBACKSLASH@
702@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
703@am__fastdepCC_FALSE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -c -o libgcrypt_la-sexp.lo `test -f 'sexp.c' || echo '$(srcdir)/'`sexp.c
704
705libgcrypt_la-hwfeatures.lo: hwfeatures.c
706@am__fastdepCC_TRUE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -MT libgcrypt_la-hwfeatures.lo -MD -MP -MF $(DEPDIR)/libgcrypt_la-hwfeatures.Tpo -c -o libgcrypt_la-hwfeatures.lo `test -f 'hwfeatures.c' || echo '$(srcdir)/'`hwfeatures.c
707@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/libgcrypt_la-hwfeatures.Tpo $(DEPDIR)/libgcrypt_la-hwfeatures.Plo
708@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='hwfeatures.c' object='libgcrypt_la-hwfeatures.lo' libtool=yes @AMDEPBACKSLASH@
709@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
710@am__fastdepCC_FALSE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -c -o libgcrypt_la-hwfeatures.lo `test -f 'hwfeatures.c' || echo '$(srcdir)/'`hwfeatures.c
711
712libgcrypt_la-stdmem.lo: stdmem.c
713@am__fastdepCC_TRUE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -MT libgcrypt_la-stdmem.lo -MD -MP -MF $(DEPDIR)/libgcrypt_la-stdmem.Tpo -c -o libgcrypt_la-stdmem.lo `test -f 'stdmem.c' || echo '$(srcdir)/'`stdmem.c
714@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/libgcrypt_la-stdmem.Tpo $(DEPDIR)/libgcrypt_la-stdmem.Plo
715@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='stdmem.c' object='libgcrypt_la-stdmem.lo' libtool=yes @AMDEPBACKSLASH@
716@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
717@am__fastdepCC_FALSE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -c -o libgcrypt_la-stdmem.lo `test -f 'stdmem.c' || echo '$(srcdir)/'`stdmem.c
718
719libgcrypt_la-secmem.lo: secmem.c
720@am__fastdepCC_TRUE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -MT libgcrypt_la-secmem.lo -MD -MP -MF $(DEPDIR)/libgcrypt_la-secmem.Tpo -c -o libgcrypt_la-secmem.lo `test -f 'secmem.c' || echo '$(srcdir)/'`secmem.c
721@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/libgcrypt_la-secmem.Tpo $(DEPDIR)/libgcrypt_la-secmem.Plo
722@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='secmem.c' object='libgcrypt_la-secmem.lo' libtool=yes @AMDEPBACKSLASH@
723@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
724@am__fastdepCC_FALSE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -c -o libgcrypt_la-secmem.lo `test -f 'secmem.c' || echo '$(srcdir)/'`secmem.c
725
726libgcrypt_la-missing-string.lo: missing-string.c
727@am__fastdepCC_TRUE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -MT libgcrypt_la-missing-string.lo -MD -MP -MF $(DEPDIR)/libgcrypt_la-missing-string.Tpo -c -o libgcrypt_la-missing-string.lo `test -f 'missing-string.c' || echo '$(srcdir)/'`missing-string.c
728@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/libgcrypt_la-missing-string.Tpo $(DEPDIR)/libgcrypt_la-missing-string.Plo
729@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='missing-string.c' object='libgcrypt_la-missing-string.lo' libtool=yes @AMDEPBACKSLASH@
730@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
731@am__fastdepCC_FALSE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -c -o libgcrypt_la-missing-string.lo `test -f 'missing-string.c' || echo '$(srcdir)/'`missing-string.c
732
733libgcrypt_la-module.lo: module.c
734@am__fastdepCC_TRUE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -MT libgcrypt_la-module.lo -MD -MP -MF $(DEPDIR)/libgcrypt_la-module.Tpo -c -o libgcrypt_la-module.lo `test -f 'module.c' || echo '$(srcdir)/'`module.c
735@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/libgcrypt_la-module.Tpo $(DEPDIR)/libgcrypt_la-module.Plo
736@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='module.c' object='libgcrypt_la-module.lo' libtool=yes @AMDEPBACKSLASH@
737@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
738@am__fastdepCC_FALSE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -c -o libgcrypt_la-module.lo `test -f 'module.c' || echo '$(srcdir)/'`module.c
739
740libgcrypt_la-fips.lo: fips.c
741@am__fastdepCC_TRUE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -MT libgcrypt_la-fips.lo -MD -MP -MF $(DEPDIR)/libgcrypt_la-fips.Tpo -c -o libgcrypt_la-fips.lo `test -f 'fips.c' || echo '$(srcdir)/'`fips.c
742@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/libgcrypt_la-fips.Tpo $(DEPDIR)/libgcrypt_la-fips.Plo
743@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='fips.c' object='libgcrypt_la-fips.lo' libtool=yes @AMDEPBACKSLASH@
744@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
745@am__fastdepCC_FALSE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -c -o libgcrypt_la-fips.lo `test -f 'fips.c' || echo '$(srcdir)/'`fips.c
746
747libgcrypt_la-hmac256.lo: hmac256.c
748@am__fastdepCC_TRUE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -MT libgcrypt_la-hmac256.lo -MD -MP -MF $(DEPDIR)/libgcrypt_la-hmac256.Tpo -c -o libgcrypt_la-hmac256.lo `test -f 'hmac256.c' || echo '$(srcdir)/'`hmac256.c
749@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/libgcrypt_la-hmac256.Tpo $(DEPDIR)/libgcrypt_la-hmac256.Plo
750@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='hmac256.c' object='libgcrypt_la-hmac256.lo' libtool=yes @AMDEPBACKSLASH@
751@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
752@am__fastdepCC_FALSE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -c -o libgcrypt_la-hmac256.lo `test -f 'hmac256.c' || echo '$(srcdir)/'`hmac256.c
753
754libgcrypt_la-ath.lo: ath.c
755@am__fastdepCC_TRUE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -MT libgcrypt_la-ath.lo -MD -MP -MF $(DEPDIR)/libgcrypt_la-ath.Tpo -c -o libgcrypt_la-ath.lo `test -f 'ath.c' || echo '$(srcdir)/'`ath.c
756@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/libgcrypt_la-ath.Tpo $(DEPDIR)/libgcrypt_la-ath.Plo
757@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='ath.c' object='libgcrypt_la-ath.lo' libtool=yes @AMDEPBACKSLASH@
758@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
759@am__fastdepCC_FALSE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libgcrypt_la_CFLAGS) $(CFLAGS) -c -o libgcrypt_la-ath.lo `test -f 'ath.c' || echo '$(srcdir)/'`ath.c
760
761dumpsexp-dumpsexp.o: dumpsexp.c
762@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(dumpsexp_CFLAGS) $(CFLAGS) -MT dumpsexp-dumpsexp.o -MD -MP -MF $(DEPDIR)/dumpsexp-dumpsexp.Tpo -c -o dumpsexp-dumpsexp.o `test -f 'dumpsexp.c' || echo '$(srcdir)/'`dumpsexp.c
763@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/dumpsexp-dumpsexp.Tpo $(DEPDIR)/dumpsexp-dumpsexp.Po
764@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='dumpsexp.c' object='dumpsexp-dumpsexp.o' libtool=no @AMDEPBACKSLASH@
765@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
766@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(dumpsexp_CFLAGS) $(CFLAGS) -c -o dumpsexp-dumpsexp.o `test -f 'dumpsexp.c' || echo '$(srcdir)/'`dumpsexp.c
767
768dumpsexp-dumpsexp.obj: dumpsexp.c
769@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(dumpsexp_CFLAGS) $(CFLAGS) -MT dumpsexp-dumpsexp.obj -MD -MP -MF $(DEPDIR)/dumpsexp-dumpsexp.Tpo -c -o dumpsexp-dumpsexp.obj `if test -f 'dumpsexp.c'; then $(CYGPATH_W) 'dumpsexp.c'; else $(CYGPATH_W) '$(srcdir)/dumpsexp.c'; fi`
770@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/dumpsexp-dumpsexp.Tpo $(DEPDIR)/dumpsexp-dumpsexp.Po
771@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='dumpsexp.c' object='dumpsexp-dumpsexp.obj' libtool=no @AMDEPBACKSLASH@
772@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
773@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(dumpsexp_CFLAGS) $(CFLAGS) -c -o dumpsexp-dumpsexp.obj `if test -f 'dumpsexp.c'; then $(CYGPATH_W) 'dumpsexp.c'; else $(CYGPATH_W) '$(srcdir)/dumpsexp.c'; fi`
774
775gcryptrnd-gcryptrnd.o: gcryptrnd.c
776@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(gcryptrnd_CFLAGS) $(CFLAGS) -MT gcryptrnd-gcryptrnd.o -MD -MP -MF $(DEPDIR)/gcryptrnd-gcryptrnd.Tpo -c -o gcryptrnd-gcryptrnd.o `test -f 'gcryptrnd.c' || echo '$(srcdir)/'`gcryptrnd.c
777@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/gcryptrnd-gcryptrnd.Tpo $(DEPDIR)/gcryptrnd-gcryptrnd.Po
778@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='gcryptrnd.c' object='gcryptrnd-gcryptrnd.o' libtool=no @AMDEPBACKSLASH@
779@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
780@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(gcryptrnd_CFLAGS) $(CFLAGS) -c -o gcryptrnd-gcryptrnd.o `test -f 'gcryptrnd.c' || echo '$(srcdir)/'`gcryptrnd.c
781
782gcryptrnd-gcryptrnd.obj: gcryptrnd.c
783@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(gcryptrnd_CFLAGS) $(CFLAGS) -MT gcryptrnd-gcryptrnd.obj -MD -MP -MF $(DEPDIR)/gcryptrnd-gcryptrnd.Tpo -c -o gcryptrnd-gcryptrnd.obj `if test -f 'gcryptrnd.c'; then $(CYGPATH_W) 'gcryptrnd.c'; else $(CYGPATH_W) '$(srcdir)/gcryptrnd.c'; fi`
784@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/gcryptrnd-gcryptrnd.Tpo $(DEPDIR)/gcryptrnd-gcryptrnd.Po
785@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='gcryptrnd.c' object='gcryptrnd-gcryptrnd.obj' libtool=no @AMDEPBACKSLASH@
786@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
787@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(gcryptrnd_CFLAGS) $(CFLAGS) -c -o gcryptrnd-gcryptrnd.obj `if test -f 'gcryptrnd.c'; then $(CYGPATH_W) 'gcryptrnd.c'; else $(CYGPATH_W) '$(srcdir)/gcryptrnd.c'; fi`
788
789hmac256-hmac256.o: hmac256.c
790@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(hmac256_CFLAGS) $(CFLAGS) -MT hmac256-hmac256.o -MD -MP -MF $(DEPDIR)/hmac256-hmac256.Tpo -c -o hmac256-hmac256.o `test -f 'hmac256.c' || echo '$(srcdir)/'`hmac256.c
791@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/hmac256-hmac256.Tpo $(DEPDIR)/hmac256-hmac256.Po
792@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='hmac256.c' object='hmac256-hmac256.o' libtool=no @AMDEPBACKSLASH@
793@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
794@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(hmac256_CFLAGS) $(CFLAGS) -c -o hmac256-hmac256.o `test -f 'hmac256.c' || echo '$(srcdir)/'`hmac256.c
795
796hmac256-hmac256.obj: hmac256.c
797@am__fastdepCC_TRUE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(hmac256_CFLAGS) $(CFLAGS) -MT hmac256-hmac256.obj -MD -MP -MF $(DEPDIR)/hmac256-hmac256.Tpo -c -o hmac256-hmac256.obj `if test -f 'hmac256.c'; then $(CYGPATH_W) 'hmac256.c'; else $(CYGPATH_W) '$(srcdir)/hmac256.c'; fi`
798@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/hmac256-hmac256.Tpo $(DEPDIR)/hmac256-hmac256.Po
799@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='hmac256.c' object='hmac256-hmac256.obj' libtool=no @AMDEPBACKSLASH@
800@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
801@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(hmac256_CFLAGS) $(CFLAGS) -c -o hmac256-hmac256.obj `if test -f 'hmac256.c'; then $(CYGPATH_W) 'hmac256.c'; else $(CYGPATH_W) '$(srcdir)/hmac256.c'; fi`
802
803mostlyclean-libtool:
804	-rm -f *.lo
805
806clean-libtool:
807	-rm -rf .libs _libs
808install-m4dataDATA: $(m4data_DATA)
809	@$(NORMAL_INSTALL)
810	@list='$(m4data_DATA)'; test -n "$(m4datadir)" || list=; \
811	if test -n "$$list"; then \
812	  echo " $(MKDIR_P) '$(DESTDIR)$(m4datadir)'"; \
813	  $(MKDIR_P) "$(DESTDIR)$(m4datadir)" || exit 1; \
814	fi; \
815	for p in $$list; do \
816	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
817	  echo "$$d$$p"; \
818	done | $(am__base_list) | \
819	while read files; do \
820	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(m4datadir)'"; \
821	  $(INSTALL_DATA) $$files "$(DESTDIR)$(m4datadir)" || exit $$?; \
822	done
823
824uninstall-m4dataDATA:
825	@$(NORMAL_UNINSTALL)
826	@list='$(m4data_DATA)'; test -n "$(m4datadir)" || list=; \
827	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
828	dir='$(DESTDIR)$(m4datadir)'; $(am__uninstall_files_from_dir)
829install-includeHEADERS: $(include_HEADERS)
830	@$(NORMAL_INSTALL)
831	@list='$(include_HEADERS)'; test -n "$(includedir)" || list=; \
832	if test -n "$$list"; then \
833	  echo " $(MKDIR_P) '$(DESTDIR)$(includedir)'"; \
834	  $(MKDIR_P) "$(DESTDIR)$(includedir)" || exit 1; \
835	fi; \
836	for p in $$list; do \
837	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
838	  echo "$$d$$p"; \
839	done | $(am__base_list) | \
840	while read files; do \
841	  echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(includedir)'"; \
842	  $(INSTALL_HEADER) $$files "$(DESTDIR)$(includedir)" || exit $$?; \
843	done
844
845uninstall-includeHEADERS:
846	@$(NORMAL_UNINSTALL)
847	@list='$(include_HEADERS)'; test -n "$(includedir)" || list=; \
848	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
849	dir='$(DESTDIR)$(includedir)'; $(am__uninstall_files_from_dir)
850
851ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
852	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
853	unique=`for i in $$list; do \
854	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
855	  done | \
856	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
857	      END { if (nonempty) { for (i in files) print i; }; }'`; \
858	mkid -fID $$unique
859tags: TAGS
860
861TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
862		$(TAGS_FILES) $(LISP)
863	set x; \
864	here=`pwd`; \
865	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
866	unique=`for i in $$list; do \
867	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
868	  done | \
869	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
870	      END { if (nonempty) { for (i in files) print i; }; }'`; \
871	shift; \
872	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
873	  test -n "$$unique" || unique=$$empty_fix; \
874	  if test $$# -gt 0; then \
875	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
876	      "$$@" $$unique; \
877	  else \
878	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
879	      $$unique; \
880	  fi; \
881	fi
882ctags: CTAGS
883CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
884		$(TAGS_FILES) $(LISP)
885	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
886	unique=`for i in $$list; do \
887	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
888	  done | \
889	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
890	      END { if (nonempty) { for (i in files) print i; }; }'`; \
891	test -z "$(CTAGS_ARGS)$$unique" \
892	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
893	     $$unique
894
895GTAGS:
896	here=`$(am__cd) $(top_builddir) && pwd` \
897	  && $(am__cd) $(top_srcdir) \
898	  && gtags -i $(GTAGS_ARGS) "$$here"
899
900distclean-tags:
901	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
902
903distdir: $(DISTFILES)
904	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
905	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
906	list='$(DISTFILES)'; \
907	  dist_files=`for file in $$list; do echo $$file; done | \
908	  sed -e "s|^$$srcdirstrip/||;t" \
909	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
910	case $$dist_files in \
911	  */*) $(MKDIR_P) `echo "$$dist_files" | \
912			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
913			   sort -u` ;; \
914	esac; \
915	for file in $$dist_files; do \
916	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
917	  if test -d $$d/$$file; then \
918	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
919	    if test -d "$(distdir)/$$file"; then \
920	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
921	    fi; \
922	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
923	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
924	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
925	    fi; \
926	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
927	  else \
928	    test -f "$(distdir)/$$file" \
929	    || cp -p $$d/$$file "$(distdir)/$$file" \
930	    || exit 1; \
931	  fi; \
932	done
933check-am: all-am
934check: check-am
935all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(SCRIPTS) $(DATA) \
936		$(HEADERS)
937install-binPROGRAMS: install-libLTLIBRARIES
938
939installdirs:
940	for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(m4datadir)" "$(DESTDIR)$(includedir)"; do \
941	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
942	done
943install: install-am
944install-exec: install-exec-am
945install-data: install-data-am
946uninstall: uninstall-am
947
948install-am: all-am
949	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
950
951installcheck: installcheck-am
952install-strip:
953	if test -z '$(STRIP)'; then \
954	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
955	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
956	      install; \
957	else \
958	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
959	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
960	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
961	fi
962mostlyclean-generic:
963
964clean-generic:
965
966distclean-generic:
967	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
968	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
969
970maintainer-clean-generic:
971	@echo "This command is intended for maintainers to use"
972	@echo "it deletes files that may require special tools to rebuild."
973clean: clean-am
974
975clean-am: clean-binPROGRAMS clean-generic clean-libLTLIBRARIES \
976	clean-libtool clean-sbinPROGRAMS mostlyclean-am
977
978distclean: distclean-am
979	-rm -rf ./$(DEPDIR)
980	-rm -f Makefile
981distclean-am: clean-am distclean-compile distclean-generic \
982	distclean-tags
983
984dvi: dvi-am
985
986dvi-am:
987
988html: html-am
989
990html-am:
991
992info: info-am
993
994info-am:
995
996install-data-am: install-data-local install-includeHEADERS \
997	install-m4dataDATA
998
999install-dvi: install-dvi-am
1000
1001install-dvi-am:
1002
1003install-exec-am: install-binPROGRAMS install-binSCRIPTS \
1004	install-libLTLIBRARIES install-sbinPROGRAMS
1005
1006install-html: install-html-am
1007
1008install-html-am:
1009
1010install-info: install-info-am
1011
1012install-info-am:
1013
1014install-man:
1015
1016install-pdf: install-pdf-am
1017
1018install-pdf-am:
1019
1020install-ps: install-ps-am
1021
1022install-ps-am:
1023
1024installcheck-am:
1025
1026maintainer-clean: maintainer-clean-am
1027	-rm -rf ./$(DEPDIR)
1028	-rm -f Makefile
1029maintainer-clean-am: distclean-am maintainer-clean-generic
1030
1031mostlyclean: mostlyclean-am
1032
1033mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1034	mostlyclean-libtool
1035
1036pdf: pdf-am
1037
1038pdf-am:
1039
1040ps: ps-am
1041
1042ps-am:
1043
1044uninstall-am: uninstall-binPROGRAMS uninstall-binSCRIPTS \
1045	uninstall-includeHEADERS uninstall-libLTLIBRARIES \
1046	uninstall-local uninstall-m4dataDATA uninstall-sbinPROGRAMS
1047
1048.MAKE: install-am install-strip
1049
1050.PHONY: CTAGS GTAGS all all-am check check-am clean clean-binPROGRAMS \
1051	clean-generic clean-libLTLIBRARIES clean-libtool \
1052	clean-sbinPROGRAMS ctags distclean distclean-compile \
1053	distclean-generic distclean-libtool distclean-tags distdir dvi \
1054	dvi-am html html-am info info-am install install-am \
1055	install-binPROGRAMS install-binSCRIPTS install-data \
1056	install-data-am install-data-local install-dvi install-dvi-am \
1057	install-exec install-exec-am install-html install-html-am \
1058	install-includeHEADERS install-info install-info-am \
1059	install-libLTLIBRARIES install-m4dataDATA install-man \
1060	install-pdf install-pdf-am install-ps install-ps-am \
1061	install-sbinPROGRAMS install-strip installcheck \
1062	installcheck-am installdirs maintainer-clean \
1063	maintainer-clean-generic mostlyclean mostlyclean-compile \
1064	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1065	tags uninstall uninstall-am uninstall-binPROGRAMS \
1066	uninstall-binSCRIPTS uninstall-includeHEADERS \
1067	uninstall-libLTLIBRARIES uninstall-local uninstall-m4dataDATA \
1068	uninstall-sbinPROGRAMS
1069
1070
1071@HAVE_W32_SYSTEM_TRUE@.rc.lo:
1072@HAVE_W32_SYSTEM_TRUE@	$(LTRCCOMPILE) -i "$<" -o "$@"
1073
1074@HAVE_W32_SYSTEM_TRUE@install-def-file:
1075@HAVE_W32_SYSTEM_TRUE@	$(INSTALL) $(srcdir)/libgcrypt.def $(DESTDIR)$(libdir)/libgcrypt.def
1076
1077@HAVE_W32_SYSTEM_TRUE@uninstall-def-file:
1078@HAVE_W32_SYSTEM_TRUE@	-rm $(DESTDIR)$(libdir)/libgcrypt.def
1079@HAVE_W32_SYSTEM_FALSE@install-def-file:
1080@HAVE_W32_SYSTEM_FALSE@uninstall-def-file:
1081
1082install-data-local: install-def-file
1083
1084uninstall-local: uninstall-def-file
1085
1086# FIXME: We need to figure out how to get the actual name (parsing
1087# libgcrypt.la?) and how to create the hmac file already at link time
1088# so that it can be used without installing libgcrypt first.
1089#install-exec-hook:
1090#	./hmac256 "What am I, a doctor or a moonshuttle conductor?" \
1091#          < $(DESTDIR)$(libdir)/libgcrypt.so.11.5.0 \
1092#          > $(DESTDIR)$(libdir)/.libgcrypt.so.11.5.0.hmac
1093
1094# Tell versions [3.59,3.63) of GNU make to not export all variables.
1095# Otherwise a system limit (for SysV at least) may be exceeded.
1096.NOEXPORT:
1097